# Issue Duration Stats

GET /easm/issues/stats/duration: Average time issues stay open and time to fix.

Source: https://docs.deepinfo.com/reference/easm/issue-duration-stats/

Last updated: 2026-09-27

---
`GET https://api.deepinfo.com/v1/easm/issues/stats/duration`

Average time issues stay open and time to fix.

## Authentication

Send your API key in the `apikey` request header.

## Query Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `asset` | Optional |  |  |
| `type_id` | Optional |  |  |
| `type_category_id` | Optional |  |  |

## Response Fields

| Field | Type | Description |
|---|---|---|
| `first_seen_date` | string | date-time |
| `last_seen_date` | string | date-time |
| `average_issue_duration` | integer |  |
| `average_fix_duration` | integer |  |

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `first_seen_date` | string |
| `last_seen_date` | string |
| `average_issue_duration` | number |
| `average_fix_duration` | number |

## Examples

### 200 · OK

```bash
curl 'https://api.deepinfo.com/v1/easm/issues/stats/duration' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "first_seen_date": "2025-06-01T08:00:00Z",
  "last_seen_date": "2025-07-31T08:00:00Z",
  "average_issue_duration": 86400,
  "average_fix_duration": 86400
}
```
